// pages/login.js
const $api = require('../../utils/api.js').API;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    email:'',
    password:''
  },
  bindEmailInput(e){
    console.log(e)
    console.log(e.detail.value)
    this.setData({email:e.detail.value})
  },
  bindPasswordInput(e){
    console.log(e)
    console.log(e.detail.value)
    this.setData({password:e.detail.value})
  },

  login(){
    const {email,password} = this.data
    console.log(this.data)
    console.log(email)
    console.log(password)
    $api.login({
      name:email,//admin@laravue.dev
      password,//laravue
     }).then(res=>{
      console.log(res)
      if(res.statusCode === 200){
        wx.setStorageSync('user', res.data.data)
        wx.redirectTo({
          url: '../index/index',
        })
      }
    })
    .catch(err => {
      //请求失败
      console.log(err)
   })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    $api.getCsrf()
    .then(res => {
       //请求成功
       console.log(res)
       wx.setStorageSync('cookie', res.cookies)
    })
    .catch(err => {
       //请求失败
       console.log(err)
    })
    // wx.request({
    //   url: 'https://www.znthodo.com/api/sanctum/csrf-cookie',
    //   method:'GET',
    //   success(res){
    //     console.log(res)
       
    //     wx.request({
    //       url: 'https://www.znthodo.com/api/auth/login',
    //       method:'POST',
    //       data: {
            // email:'admin@laravue.dev',
            // password:'laravue'
    //       },
    //       header: {
    //       'content-type': 'application/json', // 默认值
    //       'Cookie':wx.getStorageSync('cookie')[0]
    //       },
    //       success (res) {
    //       console.log(res.data)
    //       }
    //     })
    //     try {
    //       wx.setStorageSync('cookie', res.cookies)
    //     } catch (e) { 
    //       console.log(e)
    //     }
    //   }
    // })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})