// pages/moneysecond/moneysecond.js
const $api = require('../../utils/api.js').API;
import {uploadImg} from '../../utils/util'

Page({

  /**
   * 页面的初始数据
   */
  data: {
    id:'',
    listArr:[{
      id:23,
      itemno:2312,
      account:'dsa',
      category:'dsa',
      amount:123,
    }],
    tempurls:[],
    imgs:[]
  },

  uploadPhoto(e) {
    console.log(e.currentTarget.dataset.index)
    const  data = this.data.listArr;
    var that = this; 
    wx.chooseImage({
      count: 1, // 默认9
      sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function (res) {
        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        that.data.tempurls[e.currentTarget.dataset.index] = tempFilePaths;
        var tempFilePaths = res.tempFilePaths;
        console.log(res.tempFilePaths)
        const url = uploadImg(that, tempFilePaths);
        const urls = this.data.imgs;
        urls[e.currentTarget.dataset.index] = url;
        that.setData({imgs:urls})
      }
    })
  },

  confirmSubmit(e){
    console.log(e)
    //console.log(this.data.Remarks)
    const data = {
      id:this.data.id,
      check:e.currentTarget.dataset.check,
      imgs:this.data.imgs
      //Remarks:this.data.Remarks
    }
    $api.moneyConfirm(data).then((res)=>{
      console.log(res)
      if(res.statusCode === 200){
        this.setData({listArr:res.data})
        wx.showToast({
          title: '审核成功',
          duration: 1000
        })
        wx.redirectTo({
          url: '../index/index',
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options.id)
    this.setData({id:options.id})
    $api.moneydetails(options.id).then((res)=>{
      console.log(res)
      if(res.statusCode === 200){
        this.setData({listArr:res.data})
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})