// pages/salerecord/salerecord.js
import {upload} from '../../utils/util'
const $api = require('../../utils/api.js').API;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    step:0,
    customer:'',
    Salesman:'',
    payif:'',
    order_date:'',
    listArr:[
      {
        product_name:'',
        standard:'',
        spec:'',
        length:'',
        material_req:'',
        Tolerance:'',
        weight:'',
        Quantity:'',
        Shipping:'',
        check:false,
        CAD:''
      }
    ],
    initItem:{
      product_name:'',
      standard:'',
      spec:'',
      length:'',
      material_req:'',
      Tolerance:'',
      weight:'',
      Quantity:'',
      Shipping:'',
      check:false,
      CAD:''
    },
    tempurls:[]
  },
  radioTap(event){
    const data = this.data.listArr
    console.log(data)
    data[event.currentTarget.dataset.index].check = !this.data.listArr[event.currentTarget.dataset.index].check
    console.log(data[event.currentTarget.dataset.index].check )
    this.setData({listArr:data})
    console.log(event.currentTarget.dataset.index)
    console.log(this.data.listArr)
  },
 
  bindCustomer(e){
    console.log(e)
    this.setData({customer:e.detail.value})
  },
  bindSalesman(e){
    this.setData({Salesman:e.detail.value})
  },
  bindIf(e){
    this.setData({payif:e.detail.value})
  },
  nextStep(){
    const stepTemp = this.data.step+1;
    this.setData({step:stepTemp})
  },
  bindchangeStart(e){
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      order_date: e.detail.value
    })
  },
  backstep(){
    const stepTemp = this.data.step - 1;
    this.setData({step:stepTemp})
  },
  getDate(){
    const data = new Date();
    return data.getFullYear()+'-'+(data.getMonth()+1)+'-'+data.getDate()
  },
  uploadPhoto(e) {
    console.log(e.currentTarget.dataset.index)
    const  data = this.data.listArr;
    var that = this; 
    wx.chooseImage({
      count: 1, // 默认9
      sizeType: ['compressed'], // 可以指定是原图还是压缩图，默认二者都有
      sourceType: ['album', 'camera'], // 可以指定来源是相册还是相机，默认二者都有
      success: function (res) {
        // 返回选定照片的本地文件路径列表，tempFilePath可以作为img标签的src属性显示图片
        that.data.tempurls[e.currentTarget.dataset.index] = tempFilePaths;
        var tempFilePaths = res.tempFilePaths;
        console.log(res.tempFilePaths)
        upload(that, tempFilePaths,e.currentTarget.dataset.index);
        that.setData({listArr:data})
      }
    })
  },


  bindStandard(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)

  },
  bindQuantity(){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)
  },
  bindProduct_name(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)

  },
  bindSpec(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)

  },
  bindLength(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)

  },
  bindQuantity(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)

  },
  bindAmount(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)
  },
  bindPrice(e){
    const data = this.data.listArr;
    data[e.currentTarget.dataset.index][e.currentTarget.dataset.id] = e.detail.value
    this.setData({listArr:data})
    console.log(data)
    console.log(e)
    console.log(e.detail.value)
    console.log(e.currentTarget.dataset.index)
  },
  bindTolerance(){

  },
  submit(){
    const data = {items:this.data.listArr,payif:this.data.payif,Salesman:this.data.Salesman,customer:this.data.customer}

    var flag = true;
    this.data.listArr.forEach((item)=>{
      item.check === false && (flag = false);
    })
    if(flag){
      $api.salesrecord(data).then(res=>{
        console.log(res)
        if(res.statusCode === 200){
          wx.showToast({
            title: '提交成功',
            duration: 1000
          })
          wx.redirectTo({
            url: '../index/index',
          })
        }
      })
      .catch(err => {
        //请求失败
        console.log(err)
     })
    }else{
      wx.showToast({
        title: '请确认',
        duration: 1000
      })
    }



 
  },
  addNew(){
    console.log(this.data.listArr)
    const arr = this.data.listArr;
    arr.push({...this.data.initItem})
    this.setData({listArr:arr})
  },


  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(this.getDate())
    this.setData({order_date:this.getDate()})
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})