// pages/waitlistsecond/waitlistsecond.js
const $api = require('../../utils/api.js').API;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    Remarks:'',
    id:'',
    listArr:[{
      itemno:12312,
      product_no:234234,
      product_name:'水果',
      spec:'没有',
      unit:'kg',
      req_date:'2020.02.09',
      ref_price:90,
      amount:232,
      remarks:'没有备注'
    },{
      itemno:12312,
      product_no:234234,
      product_name:'水果',
      spec:'没有',
      unit:'kg',
      req_date:'2020.02.09',
      ref_price:90,
      amount:232,
      remarks:'没有备注'
    },{
      itemno:12312,
      product_no:234234,
      product_name:'水果',
      spec:'没有',
      unit:'kg',
      req_date:'2020.02.09',
      ref_price:90,
      amount:232,
      remarks:'没有备注'
    }]
  },
  bindRemarks(e){
    this.setData({Remarks:e.detail.value})
  },
  confirmSubmit(e){
    console.log(this.data.Remarks)
    const data = {
      id:this.data.id,
      check:e.currentTarget.dataset.check,
      Remarks:this.data.Remarks
    }
    $api.waitlistConfirm(data).then((res)=>{
      console.log(res)
      if(res.statusCode === 200){
        this.setData({listArr:res.data})
        wx.showToast({
          title: '审核成功',
          duration: 1000
        })
        wx.redirectTo({
          url: '../index/index',
        })
      }
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    console.log(options.id)
    this.setData({id:options.id})
    $api.waitlistDetails(options.id).then((res)=>{
      console.log(res)
      if(res.statusCode === 200){
        this.setData({listArr:res.data})
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})