//index.js
//获取应用实例
const app = getApp()

Page({
  data: {
    user:wx.getStorageSync('user')||{},
    motto: 'Hello World',
    userInfo: {},
    hasUserInfo: false,
    canIUse: wx.canIUse('button.open-type.getUserInfo')
  },
  //事件处理函数
  bindViewTap: function() {
    wx.navigateTo({
      url: '../logs/logs'
    })
  },
  navTo:function(e){
    console.log(e)
    console.log(e.currentTarget.dataset.url)
    wx.navigateTo({
      url: e.currentTarget.dataset.url
    })
  },
  logout(){
    wx.clearStorageSync()
    wx.redirectTo({
      url: '../login/login',
    })
  },
  onLoad: function () {
    console.log(wx.getStorageSync('user'))
    this.setData({userInfo:wx.getStorageSync('user')})
    if(!wx.getStorageSync('user')){
      wx.redirectTo({
        url: '../login/login',
      })
    }
    // wx.request({
    //   url: 'https://www.znthodo.com/api/sanctum/csrf-cookie',
    //   method:'GET',
    //   success(res){
    //     console.log(res)
    //   }
    // })
    if (app.globalData.userInfo) {
      this.setData({
        userInfo: app.globalData.userInfo,
        hasUserInfo: true
      })
    } else if (this.data.canIUse){
      // 由于 getUserInfo 是网络请求，可能会在 Page.onLoad 之后才返回
      // 所以此处加入 callback 以防止这种情况
      app.userInfoReadyCallback = res => {
        this.setData({
          userInfo: res.userInfo,
          hasUserInfo: true
        })
      }
    } else {
      // 在没有 open-type=getUserInfo 版本的兼容处理
      wx.getUserInfo({
        success: res => {
          app.globalData.userInfo = res.userInfo
          this.setData({
            userInfo: res.userInfo,
            hasUserInfo: true
          })
        }
      })
    }
  },
  getUserInfo: function(e) {
    console.log(e)
    app.globalData.userInfo = e.detail.userInfo
    this.setData({
      userInfo: e.detail.userInfo,
      hasUserInfo: true
    })
  }
})
