// pages/salelist/salelist.js
const $api = require('../../utils/api.js').API;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    date: '2016-09-01',
    startdate:'2016-09-01',
    array: ['待审核', '已审核', '已排产','已生产','已付款','未付款','一周到期应付','超期未收'],
    index:0,
    listArr:[{
      id:'78234',
      customer:'smile',
      payment:'7天',
      order_date:'2020.01.09',
      Shipping:'2020.09.09',
      Salesman:'张三',
      amount:23,
      quantity:232
    },{
      id:'78234',
      customer:'smile',
      payment:'7天',
      order_date:'2020.01.09',
      Shipping:'2020.09.09',
      Salesman:'张三',
      amount:23,
      quantity:232
    }]
  },
  navTo(event){
    console.log(event.currentTarget.dataset.id)
    wx.navigateTo({
      url: '../salessecondlist/salessecondlist?id='+event.currentTarget.dataset.id,
    })
  },

  bindDateChange: function(e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      date: e.detail.value
    })
  },
  bindchangeStart(e){
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      startdate: e.detail.value
    })
  },
  bindPickerChange: function(e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      index: e.detail.value
    })
  },
  filterData(){
    console.log(this.data.startdate)
    console.log(this.data.date)
    console.log(this.data.index)
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    $api.saleslist().then((res)=>{
      console.log(res)
      if(res.statusCode === 200){
        this.setData({listArr:res.data})
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})