// pages/waitlist/waitlist.js
const $api = require('../../utils/api.js').API;

Page({

  /**
   * 页面的初始数据
   */
  data: {
    date: '2016-09-01',
    startdate:'2016-09-01',
    listArr:[
      {
        id:'123123123',
        no:'23492',
        department:'销售部',
        use:'买东西',
        buys_date:'2020.10.09',
        employee:'张三'
      },
      {
        id:'79347934',
        no:'1212',
        department:'研发部',
        use:'器材',
        buys_date:'2019.05.09',
        employee:'李四'
      }
    ]
  },
  bindDateChange: function(e) {
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      date: e.detail.value
    })
  },
  bindchangeStart(e){
    console.log('picker发送选择改变，携带值为', e.detail.value)
    this.setData({
      startdate: e.detail.value
    })
  },

  filterData(){
    console.log(this.data.startdate)
    console.log(this.data.date)
  },

  navTo(event){
    console.log(event.currentTarget.dataset.id)
    wx.navigateTo({
      url: '../waitlistsecond/waitlistsecond?id='+event.currentTarget.dataset.id,
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    $api.waitlist().then((res)=>{
      console.log(res)
      if(res.statusCode === 200){
        this.setData({listArr:res.data})
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})